Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 2759463002: aura-mus: create an interactive ui test for drag and drop. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 months, 1 week ago by Elliot Glaysher
Modified:
3 months, 1 week ago
Reviewers:
Tom Sepez, sky
CC:
chromium-reviews, rjkroege, sadrul, qsr+mojo_chromium.org, viettrungluu+watch_chromium.org, tfarina, yzshen+watch_chromium.org, abarth-chromium, Aaron Boodman, dcheng (OOO Jun 25 - Jul 1), kalyank, darin (slow to review)
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

aura-mus: Fix regression and add tests for drag and drop, This fixes a regression in drag and drop from last week where the use of WindowTreeClients in nested RunLoops caused messages to not be delivered from the window server, leading to drags never terminating, even after releasing the mouse button. This also adds an interactive ui tests which exercises the entire drag pipeline from the client side in a test against a real instance of the window server. This also fixes the test window manager so that it responds to windows requesting that their bounds be changed. This also fixes how we initialize the OSDragExchangeProviderFactory. Env can be switched from local aura mode to mus mode after initialization in tests, and we have to handle that case, otherwise any test which interacts with drag and drop crashes. BUG=699235 Review-Url: https://codereview.chromium.org/2759463002 Cr-Commit-Position: refs/heads/master@{#457935} Committed: https://chromium.googlesource.com/chromium/src/+/f4153114859e218c8fe5bef9293f2ec07d9bd276

Patch Set 1 #

Patch Set 2 : Merge with ToT; EnableNestedDispatch() on relevant objects. #

Patch Set 3 : Modify gn files. #

Patch Set 4 : Attempt at fixing flakiness on the bots #

Patch Set 5 : General cleanup. #

Total comments: 9

Patch Set 6 : sky comments #

Patch Set 7 : Merge with master #

Unified diffs Side-by-side diffs Delta from patch set Stats (+302 lines, -7 lines) Patch
M services/ui/public/interfaces/window_server_test.mojom View 1 2 3 4 1 chunk +8 lines, -0 lines 0 comments Download
M services/ui/test_wm/test_wm.cc View 1 chunk +1 line, -0 lines 0 comments Download
M services/ui/ws/window_server_test_impl.h View 1 chunk +3 lines, -0 lines 0 comments Download
M services/ui/ws/window_server_test_impl.cc View 1 2 3 4 5 2 chunks +23 lines, -0 lines 0 comments Download
M services/ui/ws/window_tree.cc View 1 2 3 4 2 chunks +5 lines, -0 lines 0 comments Download
M ui/aura/env.h View 1 2 3 4 5 6 2 chunks +7 lines, -0 lines 0 comments Download
M ui/aura/env.cc View 3 chunks +9 lines, -2 lines 0 comments Download
M ui/aura/mus/window_tree_client.cc View 1 2 3 4 5 2 chunks +9 lines, -0 lines 0 comments Download
M ui/aura/test/env_test_helper.h View 1 2 3 4 5 6 1 chunk +5 lines, -1 line 0 comments Download
M ui/views/mus/BUILD.gn View 1 2 2 chunks +2 lines, -0 lines 0 comments Download
A ui/views/mus/drag_interactive_uitest.cc View 1 2 3 4 5 1 chunk +201 lines, -0 lines 0 comments Download
M ui/views/mus/interactive_ui_tests_manifest.json View 1 chunk +1 line, -1 line 0 comments Download
M ui/views/mus/mus_client.h View 1 5 chunks +11 lines, -1 line 0 comments Download
M ui/views/mus/mus_client.cc View 1 3 chunks +14 lines, -1 line 0 comments Download
M ui/views/mus/test_utils.h View 1 chunk +3 lines, -1 line 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 47 (33 generated)
Elliot Glaysher
3 months, 1 week ago (2017-03-16 23:32:57 UTC) #19
sky
LGTM with following addressed. https://codereview.chromium.org/2759463002/diff/80001/services/ui/ws/window_server_test_impl.cc File services/ui/ws/window_server_test_impl.cc (right): https://codereview.chromium.org/2759463002/diff/80001/services/ui/ws/window_server_test_impl.cc#newcode71 services/ui/ws/window_server_test_impl.cc:71: if (!event) { Correct me ...
3 months, 1 week ago (2017-03-17 00:02:21 UTC) #22
sky
LGTM with following addressed. https://codereview.chromium.org/2759463002/diff/80001/services/ui/ws/window_server_test_impl.cc File services/ui/ws/window_server_test_impl.cc (right): https://codereview.chromium.org/2759463002/diff/80001/services/ui/ws/window_server_test_impl.cc#newcode71 services/ui/ws/window_server_test_impl.cc:71: if (!event) { Correct me ...
3 months, 1 week ago (2017-03-17 00:02:21 UTC) #23
sky
LGTM with following addressed. +tsepez for mojom
3 months, 1 week ago (2017-03-17 00:02:26 UTC) #24
Tom Sepez
lgtm
3 months, 1 week ago (2017-03-17 17:01:11 UTC) #27
Elliot Glaysher
https://codereview.chromium.org/2759463002/diff/80001/services/ui/ws/window_server_test_impl.cc File services/ui/ws/window_server_test_impl.cc (right): https://codereview.chromium.org/2759463002/diff/80001/services/ui/ws/window_server_test_impl.cc#newcode71 services/ui/ws/window_server_test_impl.cc:71: if (!event) { On 2017/03/17 00:02:21, sky wrote: > ...
3 months, 1 week ago (2017-03-17 17:43:12 UTC) #28
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2759463002/100001
3 months, 1 week ago (2017-03-17 17:44:01 UTC) #31
commit-bot: I haz the power
Failed to apply patch for ui/aura/test/env_test_helper.h: While running git apply --index -p1; error: patch failed: ...
3 months, 1 week ago (2017-03-17 18:47:54 UTC) #33
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2759463002/120001
3 months, 1 week ago (2017-03-17 19:13:46 UTC) #36
commit-bot: I haz the power
Try jobs failed on following builders: linux_chromium_chromeos_rel_ng on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/linux_chromium_chromeos_rel_ng/builds/386114)
3 months, 1 week ago (2017-03-17 20:39:34 UTC) #38
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2759463002/120001
3 months, 1 week ago (2017-03-17 21:11:14 UTC) #40
commit-bot: I haz the power
Try jobs failed on following builders: win_chromium_rel_ng on master.tryserver.chromium.win (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.win/builders/win_chromium_rel_ng/builds/403225) win_chromium_x64_rel_ng on master.tryserver.chromium.win (JOB_FAILED, ...
3 months, 1 week ago (2017-03-17 23:11:06 UTC) #42
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2759463002/120001
3 months, 1 week ago (2017-03-18 01:00:31 UTC) #44
commit-bot: I haz the power
3 months, 1 week ago (2017-03-18 02:42:05 UTC) #47
Message was sent while issue was closed.
Committed patchset #7 (id:120001) as
https://chromium.googlesource.com/chromium/src/+/f4153114859e218c8fe5bef9293f...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318